# Uses of Interface
io.dapr.actors.runtime.ActorFactory

Packages that use ActorFactory
Package
Description
io.dapr.actors.runtime

## Uses of ActorFactory in io.dapr.actors.runtime

Methods in io.dapr.actors.runtime with parameters of type ActorFactory
Modifier and Type
Method
Description
`<T extends AbstractActor>
void`
ActorRuntime.`registerActor(Class<T> clazz, ActorFactory<T> actorFactory)`
Registers an actor with the runtime, using `DefaultObjectSerializer`.
`<T extends AbstractActor>
void`
ActorRuntime.`registerActor(Class<T> clazz, ActorFactory<T> actorFactory, DaprObjectSerializer objectSerializer, DaprObjectSerializer stateSerializer)`
Registers an actor with the runtime.